Summary: 4.4BSD re-implementation of vi.
Name: hhl-target-nvi
Version: 1.79
Release: %{_hhl_build_id}.3
Source: ftp://mongoose.bostic.com/pub/nvi-1.79.tar.gz
Source1: nvi.tmpl
Patch: nvi_1.79-17.diff.gz
Patch1: nvi-initd.diff
License: BSD
Group: editors
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
BuildRequires: hhl-%{_hhl_target_arch}-libncurses-dev
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
Vi is the original screen based text editor for Unix systems.
It is considered the standard text editor, and is available on
almost all Unix systems.

Nvi is intended as a "bug-for-bug compatible" clone of the original
BSD vi editor. As such, it doesn't have a lot of snazzy features as do
some of the other vi clones such as elvis and vim. However, if all
you want is vi, this is the one to get.

# nvi
%package -n hhl-%{_hhl_target_arch}-nvi
Summary: 4.4BSD re-implementation of vi.
Group: editors
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-nvi
Vi is the original screen based text editor for Unix systems.
It is considered the standard text editor, and is available on
almost all Unix systems.

Nvi is intended as a "bug-for-bug compatible" clone of the original
BSD vi editor. As such, it doesn't have a lot of snazzy features as do
some of the other vi clones such as elvis and vim. However, if all
you want is vi, this is the one to get.

%prep
%target_check
%setup -n nvi-%{version}
%patch -p1
%patch1 -p1

%build
%target_setup
cd build

export vi_cv_sprintf_count=yes
export ac_cv_path_vi_cv_path_strip=`which true`

%target_configure --disable-curses --program-prefix=n | tee build.log
%make | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}

cd build
%target_makeinstall | tee -a build.log

# change man page hard links to soft links
(cd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1 && \
        rm -f nex.1 nview.1  && gzip -v9 * && \
        ln -s nvi.1.gz nex.1.gz && ln -s nvi.1.gz nview.1.gz)      

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
install -m 755 ../../debian/init \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/nviboot


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nvi

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-nvi
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}/etc/init.d/nviboot
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/*
%dir %{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/vi
%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/vi/*

%doc build/%{_objdir}/build.log 
%doc docs/tutorial/vi.beginner docs/tutorial/vi.advanced
%doc FAQ README LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nvi

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 13 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file

